package com.cftech.common.typeappform.dao;

import com.cftech.common.typeappform.model.AppitemsGrantReport;
import com.cftech.common.typeappform.model.TypeAppForm;
import com.cftech.core.generic.GenericDao;

import java.util.List;
import java.util.Map;

/**
* 类型申请单Mapper
*
* @author faye
* @date: 2019-08-14 16:52
*/
public interface TypeAppFormMapper extends GenericDao<TypeAppForm> {


    List<AppitemsGrantReport> getAppitemsGrantReport(Map<String,Object> params);

    String getSumGrantPrice(Map<String,Object> params);

    List<TypeAppForm> fetchSearchByPageServer(Map<String,Object> params);

    /**
     * 查询总数
     *
     * @return
     */
    int countServer(Map<String, Object> params);
}